# DDClient

Ddclient is a Perl client used to update dynamic DNS entries for accounts on Dynamic DNS Network Service Provider.

![Version: 0.3.2](https://img.shields.io/badge/Version-0.3.2-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 3.11.2](https://img.shields.io/badge/AppVersion-3.11.2-informational?style=flat-square)

## Additional Information

### Supported services
```
DynDNS.com  - See http://www.dyndns.com for details on obtaining a free account.
Zoneedit    - See http://www.zoneedit.com for details.
EasyDNS     - See http://www.easydns.com for details.
NameCheap   - See http://www.namecheap.com for details
DslReports  - See http://www.dslreports.com for details
Sitelutions - See http://www.sitelutions.com for details
Loopia      - See http://www.loopia.se for details
Noip        - See http://www.noip.com/ for details
Freedns     - See http://freedns.afraid.org/ for details
ChangeIP    - See http://www.changeip.com/ for details
nsupdate    - See nsupdate(1) and ddns-confgen(8) for details
CloudFlare  - See https://www.cloudflare.com/ for details
GoDaddy     - See https://www.godaddy.com/ for details
Google      - See http://www.google.com/domains for details
Duckdns     - See https://duckdns.org/ for details
Freemyip    - See https://freemyip.com for details
woima.fi    - See https://woima.fi/ for details
Yandex      - See https://domain.yandex.com/ for details
DNS Made Easy - See https://dnsmadeeasy.com/ for details
DonDominio  - See https://www.dondominio.com for details
NearlyFreeSpeech.net - See https://www.nearlyfreespeech.net/services/dns for details
OVH         - See https://www.ovh.com for details
ClouDNS     - See https://www.cloudns.net
dinahosting - See https://dinahosting.com
Gandi       - See https://gandi.net
dnsexit     - See https://dnsexit.com/ for details
1984.is     - See https://www.1984.is/product/freedns/ for details
```

## Installing the Chart

To install the chart with the release name `my-release`:

```console
$ helm repo add alekc-charts https://charts.alekc.dev/
$ helm install my-release alekc-charts/ddclient
```

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| config | string | `"daemon=60\nuse=web\nweb=https://checkip.amazonaws.com/\nsyslog=yes\n#verbose=yes\n"` |  |
| fullnameOverride | string | `""` |  |
| image.digest | string | `""` | If specified (i.e. sha256:b65b67cfd2eb01c27f10ae4a926a9b3cebae88dd99ae0a4d3f0549580693977b) will use this SHA for the image deployment |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"linuxserver/ddclient"` |  |
| image.tag | string | `""` |  |
| imagePullSecrets | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `""` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.13.1](https://github.com/norwoodj/helm-docs/releases/v1.13.1)
